<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-coding.qdoc -->
  <title>Coding | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Coding</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-usability.html" />
  <link rel="next" href="creator-editor-functions.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-usability.html">Optimizing Applications for Mobile Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-functions.html">Writing Code</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#related-topics">Related Topics</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Coding</h1>
<span class="subtitle"></span>
<!-- $$$creator-coding.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_coding.png" alt="" /></p><ul>
<li><a href="creator-editor-functions.html">Writing Code</a><p>Writing, editing, and navigating in source code are core tasks in application development. Therefore, the code editor is one of the key components of Qt Creator. You can use the code editor in the <b>Edit</b> mode.</p>
</li>
<li><a href="creator-finding-overview.html">Finding</a><p>Use the incremental and advanced search to search from currently open projects or files on the file system or use the locator to browse through projects, files, classes, functions, documentation and file systems.</p>
</li>
<li><a href="creator-editor-refactoring.html">Refactoring</a><p>Code refactoring is the process of improving and simplifying code without modifying the existing functionality of an application. You can easily find and rename symbols and apply predefined actions to refactor code.</p>
</li>
<li><a href="creator-beautifier.html">Beautifying Source Code</a><p>Beautifying code means applying indentation and style to source code files. You can use the Artistic Style, ClangFormat, or Uncrustify tool to format source files.</p>
</li>
<li><a href="creator-editor-options.html">Configuring the Editor</a><p>You can change the fonts, colors, highlighting, and indentation. If you are used to the Vim editor, you can even run the main editor in a manner similar to it in the <b>FakeVim</b> mode.</p>
</li>
</ul>
<a name="related-topics"></a>
<h2 id="related-topics">Related Topics</h2>
<ul>
<li><a href="creator-language-servers.html">Using Language Servers</a><p>The language client provides code completion, highlighting of the symbol under cursor, and jumping to the symbol definition for other programming languages besides C++. In addition, it integrates diagnostics from the language server.</p>
</li>
<li><a href="creator-mime-types.html">Editing MIME Types</a><p>Qt Creator uses the MIME type of a file to determine which mode and editor to use for opening the file. If your files do not match the predefined MIME types, you can edit the MIME types.</p>
</li>
<li><a href="creator-modeling.html">Modeling</a><p>You can use the model editor to create Universal Modeling Language (UML) style models with structured and behavioral diagrams that provide different views of your system and store them in XML format.</p>
</li>
<li><a href="creator-scxml.html">Editing State Charts</a><p>You can use Qt Creator to create applications that embed state machines. A project wizard creates <a href="https://www.w3.org/TR/scxml/">State Chart XML (SCXML)</a> files with boilerplate code that you can edit using an experimental SCXML editor. You can use the classes in the Qt SCXML module to embed state machines created from the files in Qt applications.</p>
</li>
</ul>
</div>
<!-- @@@creator-coding.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-usability.html">Optimizing Applications for Mobile Devices</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-functions.html">Writing Code</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
